Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.Base64

Extends M.Object.
This prototype defines decoding and encoding mechanisms based on the Base64 algorithm. You normally don't call this object respectively its methods directly, but let M.Cypher handle this.
Defined in: base64.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.Base64()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| keyString The key string for the base 64 decoding and encoding.
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| decode(input) This method decodes a given input string, using the base64 decoding.
| encode(input) This method encodes a given input string, using the base64 encoding.

Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.Base64()
Field Detail
{String} keyString
The key string for the base 64 decoding and encoding.

{String} type
The type of this object.
Method Detail
{String} decode(input)
This method decodes a given input string, using the base64 decoding.

Parameters:
{String} input
  The string to be decoded.

Returns:
  {String} The base64 decoded string.

{String} encode(input)
This method encodes a given input string, using the base64 encoding.

Parameters:
{String} input
  The string to be encoded.

Returns:
  {String} The base64 encoded string.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:28 GMT+0100 (MEZ)